# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-06-29 18:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('afip', '0017_receipt_issued_date'),
    ]

    operations = [
        migrations.AlterField(
            model_name='receipt',
            name='concept',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='receipts', to='afip.ConceptType', verbose_name='concept'),
        ),
        migrations.AlterField(
            model_name='receipt',
            name='currency',
            field=models.ForeignKey(help_text='Currency in which this receipt is issued.', on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='afip.CurrencyType', verbose_name='currency'),
        ),
        migrations.AlterField(
            model_name='receipt',
            name='document_type',
            field=models.ForeignKey(help_text='The document type of the customer to whom this receipt is addressed', on_delete=django.db.models.deletion.PROTECT, related_name='receipts', to='afip.DocumentType', verbose_name='document type'),
        ),
        migrations.AlterField(
            model_name='receipt',
            name='point_of_sales',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='receipts', to='afip.PointOfSales', verbose_name='point of sales'),
        ),
        migrations.AlterField(
            model_name='receipt',
            name='receipt_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='receipts', to='afip.ReceiptType', verbose_name='receipt type'),
        ),
        migrations.AlterField(
            model_name='receiptbatch',
            name='point_of_sales',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='afip.PointOfSales', verbose_name='point of sales'),
        ),
        migrations.AlterField(
            model_name='receiptbatch',
            name='receipt_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='afip.ReceiptType', verbose_name='receipt type'),
        ),
        migrations.AlterField(
            model_name='receiptentry',
            name='receipt',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='entries', to='afip.Receipt', verbose_name='receipt'),
        ),
        migrations.AlterField(
            model_name='receiptentry',
            name='vat',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='receipt_entries', to='afip.VatType', verbose_name='vat'),
        ),
        migrations.AlterField(
            model_name='receiptpdf',
            name='receipt',
            field=models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to='afip.Receipt', verbose_name='receipt'),
        ),
        migrations.AlterField(
            model_name='receiptvalidation',
            name='receipt',
            field=models.OneToOneField(help_text='The Receipt for which this validation applies', on_delete=django.db.models.deletion.PROTECT, related_name='validation', to='afip.Receipt', verbose_name='receipt'),
        ),
        migrations.AlterField(
            model_name='receiptvalidation',
            name='validation',
            field=models.ForeignKey(help_text='The validation for the batch that produced this instance.', on_delete=django.db.models.deletion.PROTECT, related_name='receipts', to='afip.Validation', verbose_name='validation'),
        ),
        migrations.AlterField(
            model_name='tax',
            name='receipt',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='taxes', to='afip.Receipt'),
        ),
        migrations.AlterField(
            model_name='tax',
            name='tax_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='afip.TaxType', verbose_name='tax type'),
        ),
        migrations.AlterField(
            model_name='validation',
            name='batch',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='validation', to='afip.ReceiptBatch', verbose_name='receipt batch'),
        ),
        migrations.AlterField(
            model_name='vat',
            name='receipt',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='vat', to='afip.Receipt'),
        ),
        migrations.AlterField(
            model_name='vat',
            name='vat_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='afip.VatType', verbose_name='vat type'),
        ),
    ]
